Index: Dev/branches/jQueryUI/js/main.js
===================================================================
--- Dev/branches/jQueryUI/js/main.js	(revision 246)
+++ Dev/branches/jQueryUI/js/main.js	(revision 247)
@@ -2,8 +2,5 @@
 
     function loadMenu() {
-        $.get("pages/mainmenu/mainmenu.html",function(html){
-            $("#content").html(html);
-        });
-        $.getScript("pages/mainmenu/mainmenu.js");
+        rft.content.initial("mainmenu");
     }
 
@@ -11,29 +8,25 @@
         buttons: {
             "Login": function() {
-                rft.auth.login($("#username").val(),$("#password").val(),
-                    function(){
-                        $("#info").html("Login succesful.");
-                        $("#loginForm").dialog("close");
-                        loadMenu();
-                    },
-                    function(){
-                        $("#info").html("Login failed.");
-                    }
-                );
-
-
+                rft.auth.login($("#username").val(),$("#password").val())
+                .done(function(){
+                    $("#info").html("Login succesful.");
+                    $("#loginForm").dialog("close");
+                    loadMenu();
+                })
+                .fail(function(){
+                    $("#info").text("Login failed.");
+                })
             },
             "Register": function() {
-                rft.auth.register($("#username").val(),$("#password").val(),
-                    function(){
-                        $("#info").val("Succesfully registered, please login now.");
-                    },
-                    function(){
-                        $("#info").html("Register failed, username already in use.");
-                    }
-                );
+                rft.auth.register($("#username").val(),$("#password").val())
+                .done(function(){
+                    $("#info").text("Succesfully registered, please login now.");
+                })
+                .fail(function(){
+                    $("#info").text("Register failed, username already in use.");
+                })
             }
         }
-
     });
+    
 });
Index: Dev/branches/jQueryUI/pages/mainmenu/mainmenu.js
===================================================================
--- Dev/branches/jQueryUI/pages/mainmenu/mainmenu.js	(revision 246)
+++ Dev/branches/jQueryUI/pages/mainmenu/mainmenu.js	(revision 247)
@@ -1,3 +1,14 @@
 $(function(){
-    $("#adminPanel div.largeTitle").html("Admin (by Javascript!)");
+    $("#btnBrowseSessions").click(function(){
+        rft.content.goTo("sessions");
+    })
+    $("#btnBrowseSurveys").click(function(){
+        rft.content.goTo("browse",{type:"Survey"});
+    })
+    $("#btnBrowseQuestions").click(function(){
+        rft.content.goTo("browse",{type:"Question"});
+    })
+    $("#btnBrowseApplications").click(function(){
+        rft.content.goTo("browse",{type:"Application"});
+    })
 });
Index: Dev/branches/jQueryUI/pages/sessions/sessions.js
===================================================================
--- Dev/branches/jQueryUI/pages/sessions/sessions.js	(revision 247)
+++ Dev/branches/jQueryUI/pages/sessions/sessions.js	(revision 247)
@@ -0,0 +1,53 @@
+$(function(){
+    
+    var errorDisplay = $("#errorDisplay");
+    
+    
+    rft.api.getObjects("Session")
+    .done(function(sessions){
+        var sessionList = $("#sessions #sessionList");
+        $.each(sessions,function(idx,session){
+            var el = $("<option>");
+            el.val(session.uid);
+            el.text(session.title);
+            sessionList.append(el);
+        });
+    })
+
+    $("#sessions #createSession").click(function(){
+        var name = $("#sessions #sessionName").val();
+        if ( !name ) {
+            errorDisplay.text("Name cannot be empty");
+            return;
+        }
+        rft.api.createObject("Session",{
+            title:name
+        })
+        .done(function(uid){
+            rft.content.goTo("session",{
+                uid:uid
+            });
+        });
+    });
+    
+    $("#sessions #editSession").click(function(){
+        var uid = $("#sessions #sessionList option:selected").val();
+        if ( !uid ) {
+            errorDisplay.text("No session selected in list");
+            return;
+        }
+        rft.content.goTo("session",{
+            uid:uid
+        });
+    });
+    
+    $("#sessions #deleteSession").click(function(){
+        var uid = $("#sessions #sessionList option:selected").val();
+        if ( !uid ) {
+            errorDisplay.text("No session selected in list");
+            return;
+        }
+        rft.api.deleteObject("Session",uid);
+    });
+    
+})
